%define module	Mail-SPF-Query
%define name	perl-%{module}
%define version 1.999.1
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Query Sender Policy Framework for an IP,email,helo 
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Mail/%{module}-%{version}.tar.bz2
Patch:          Mail-SPF-Query-1.999.1-drop-failing-tests.patch
BuildRequires:	perl(Net::CIDR::Lite)
BuildRequires:	perl(Net::DNS)
BuildRequires:  perl(URI)
BuildRequires:  perl(Sys::Hostname::Long)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The SPF protocol relies on sender domains to describe their designated outbound
mailers in DNS. Given an email address, Mail::SPF::Query determines the
legitimacy of an SMTP client IP.

%prep
%setup -q -n %{module}-%{version}
%patch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/Mail
%{_mandir}/*/*
%{_bindir}/*




%changelog
* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.999.1-6mdv2010.0
+ Revision: 378128
- drop failing tests, probably outdated

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.999.1-6mdv2009.1
+ Revision: 351879
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.999.1-5mdv2009.0
+ Revision: 223813
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.999.1-4mdv2008.1
+ Revision: 180458
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.999.1-3mdv2008.0
+ Revision: 64786
- rebuild


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.999.1-2mdv2007.0
+ Revision: 134314
- rebuild
- Import perl-Mail-SPF-Query

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.999.1-1mdk
- New release 1.999.1

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.998-2mdk
- fix buildrequires

* Tue Jan 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.998-1mdk
- New release 1.998
- fix sources URL

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.997-3mdk
- fix buildrequires

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.997-2mdk
- fix buildrequires in a backward compatible way

* Sun Nov 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.997-1mdk 
- first mdk release

